Skip to main content
POST
/
api
/
v1
/
findings
/
{finding_id}
/
task
CreateFindingTask
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Finding.CreateFindingTask(ctx, operations.C1APIFindingV1FindingServiceCreateFindingTaskRequest{
        FindingID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.CreateFindingTaskResponse != nil {
        // handle response
    }
}
{
  "finding": {
    "appId": "<string>",
    "appUserTarget": {
      "appId": "<string>",
      "appUserId": "<string>"
    },
    "assignedOwner": {
      "appOwnerAppId": "<string>",
      "identityUserId": "<string>",
      "managerOfUserId": "<string>",
      "userSetId": "<string>"
    },
    "computedOwner": {
      "appOwnerAppId": "<string>",
      "identityUserId": "<string>",
      "managerOfUserId": "<string>",
      "userSetId": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "customTags": {},
    "fingerprint": "<string>",
    "firstObservedAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "identityUserTarget": {
      "identityUserId": "<string>"
    },
    "lastObservedAt": "2023-11-07T05:31:56Z",
    "recurrenceCount": 123,
    "remediationDescription": "<string>",
    "resolvedAt": "2023-11-07T05:31:56Z",
    "riskAcceptanceExpiresAt": "2023-11-07T05:31:56Z",
    "riskAcceptanceJustification": "<string>",
    "riskScore": {
      "originalScore": 123,
      "overrideByUserId": "<string>",
      "overrideScore": 123,
      "riskFactors": [
        {
          "description": "<string>",
          "name": "<string>",
          "severity": "FINDING_SEVERITY_UNSPECIFIED",
          "weight": 123
        }
      ],
      "score": 123,
      "systemScore": 123
    },
    "serviceAccountMisclassification": {
      "currentAccountType": "APP_USER_TYPE_UNSPECIFIED",
      "detectedAccountType": "APP_USER_TYPE_UNSPECIFIED"
    },
    "serviceAccountMisclassificationEvidence": {
      "detectionReason": "<string>"
    },
    "severity": "FINDING_SEVERITY_UNSPECIFIED",
    "similarUsernameMatch": {
      "proposedIdentityUserId": "<string>"
    },
    "similarUsernameMatchEvidence": {
      "appUsername": "<string>",
      "identityUsername": "<string>",
      "similarityScore": 123
    },
    "snoozeReason": "<string>",
    "snoozeUntil": "2023-11-07T05:31:56Z",
    "sourceDetectorId": "<string>",
    "state": "FINDING_STATE_UNSPECIFIED",
    "stateUpdatedById": "<string>",
    "suppressReason": "<string>",
    "taskId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "taskId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

finding_id
string
required

The ID of the finding to create a remediation task for.

Body

application/json

The CreateFindingTaskRequest message.

policyId
string

Optional policy ID. Defaults to the app's grant policy or the built-in "Finding Review" policy.

Response

200 - application/json

Successful response

The CreateFindingTaskResponse message.

finding
Finding · object

The Finding message.

This message contains a oneof named finding_type. Only a single field of the following list may be set at a time:

  • similarUsernameMatch
  • serviceAccountMisclassification

This message contains a oneof named target. Only a single field of the following list may be set at a time:

  • identityUserTarget
  • appUserTarget

This message contains a oneof named evidence. Only a single field of the following list may be set at a time:

  • similarUsernameMatchEvidence
  • serviceAccountMisclassificationEvidence
taskId
string

The ID of the created task.